using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Education")]
    public partial class Education : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid DoctorId { get; set; }

        [Column(TypeName = "date")]
        public DateTime? BeginDate { get; set; }
        [Column(TypeName = "date")]
        public DateTime? EndDate { get; set; }

        [StringLength(50)]
        public string Degree { get; set; } = string.Empty;
        [StringLength(100)]
        public string Major { get; set; } = string.Empty;

        [StringLength(100)]
        public string Organization { get; set; } = string.Empty;


        [StringLength(50)]
        public string Country { get; set; } = string.Empty;


        [StringLength(50)]
        public string Province { get; set; } = string.Empty;


        [StringLength(50)]
        public string City { get; set; } = string.Empty;

        
        [StringLength(50)]
        public string DegreeCN { get; set; } = string.Empty;
        [StringLength(100)]
        public string MajorCN { get; set; } = string.Empty;

        [StringLength(100)]
        public string OrganizationCN { get; set; } = string.Empty;


        [StringLength(50)]
        public string CountryCN { get; set; } = string.Empty;


        [StringLength(50)]
        public string ProvinceCN { get; set; } = string.Empty;


        [StringLength(50)]
        public string CityCN { get; set; } = string.Empty;



        public int ShowOrder { get; set; }

        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; } = DateTime.Now;


        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
    }
}
